> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Analysis

> Start a new role mining analysis job that scans existing access patterns to generate role suggestions.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/role-mining/trigger
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/role-mining/trigger:
    post:
      tags:
        - Role Mining
      summary: Trigger Analysis
      description: >-
        Start a new role mining analysis job that scans existing access patterns
        to generate role suggestions.
      operationId: >-
        c1.api.role_mining_management.v1.RoleMiningManagementService.TriggerAnalysis
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.role_mining_management.v1.TriggerAnalysisRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.role_mining_management.v1.TriggerAnalysisResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: TriggerAnalysis
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RoleMiningManagement.TriggerAnalysis(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.TriggerAnalysisResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.roleMiningManagement.triggerAnalysis();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.role_mining_management.v1.TriggerAnalysisRequest:
      description: The TriggerAnalysisRequest message.
      title: Trigger Analysis Request
      type: object
      x-speakeasy-name-override: TriggerAnalysisRequest
    c1.api.role_mining_management.v1.TriggerAnalysisResponse:
      description: The TriggerAnalysisResponse message.
      properties:
        runId:
          description: The ID of the newly created analysis run.
          readOnly: false
          type: string
      title: Trigger Analysis Response
      type: object
      x-speakeasy-name-override: TriggerAnalysisResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````